<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:f="http://xmlns.jcp.org/jsf/core"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets">
    <h:head>
        <title>Facelet Title</title>
        <!-- DataTable CSS /-->
        <link href="css/tablestyle.css" rel="stylesheet"/>
    </h:head>
    <h:body>
        <ui:composition template="template.xhtml">
            <ui:define name="content">
                <h2>Lista wszystkich samochodów</h2>
                <h:form>
                    <h:dataTable value = "#{carsCon.cars}" var = "car"
                                 styleClass = "employeeTable"
                                 headerClass = "employeeTableHeader"
                                 rowClasses = "employeeTableOddRow,employeeTableEvenRow">
                        <h:column>    				
                            <f:facet name = "header">Status</f:facet>    				
                            <div style = "color:#{carsCon.getCarStatusStyle(car)}">#{car.status}</div>
                        </h:column>
                        <h:column>    				
                            <f:facet name = "header">Marka</f:facet>    				
                                #{car.mark}
                        </h:column>
                        <h:column>    				
                            <f:facet name = "header">Model</f:facet>    				
                                #{car.model}
                        </h:column>
                        <h:column> 
                            <f:facet name = "header">Rok prod.</f:facet>
                            <h:outputText value="#{car.mfgDate}">
                                <f:convertDateTime pattern="yyyy/MM/dd"/> 
                            </h:outputText>    
                        </h:column>
                        <h:column>
                            <f:facet name = "header">Przebieg</f:facet>
                                #{car.mileage}
                        </h:column>
                        <!--h:column>
                            <f:facet name="header">Paliwo</f:facet>
                        #{car.fuelType}
                </h:column /-->
                        <!--h:column>
                            <f:facet name="header">Biegi</f:facet>
                        #{car.gear}
                </h:column/-->
                        <h:column>
                            <f:facet name="header">Poj. Silnika</f:facet>
                                #{car.engVolume}
                        </h:column>
                        <!--h:column>
                            <f:facet name="header">Moc Silnika</f:facet>
                        #{car.engPower}
                </h:column/-->
                        <h:column>
                            <f:facet name="header">cena</f:facet>
                                #{car.askingPrice}
                        </h:column>
                        <h:column>
                            <f:facet name="header">Numer nadwozia VIN</f:facet>
                                #{car.vin}
                        </h:column>
                        <h:column>
                            <f:facet name="header">Nr rejestracyjny</f:facet>
                                #{car.registrationNo}
                        </h:column>
                        <!--h:column>
                            <f:facet name="header">Nr polisy</f:facet>
                        #{car.insuranceNo}
                </h:column/-->
                        <!--h:column>
                            <f:facet name="header">Nr dowodu rej.</f:facet>
                        #{car.regDocNo}
                </h:column/-->
                        <h:column>
                            <f:facet name="header">Jazdy tst.</f:facet>
                                #{car.testDrivesCnt}
                        </h:column>
                        <h:column>
                            <f:facet name = "header">Delete</f:facet>
                            <h:commandButton value = "Delete" action = "#{carsCon.deleteCar(car)}"  />                                 
                        </h:column>
                    </h:dataTable>
                    <!--/h:form/-->
                        
                    <br/><br/>
                    <table> <tr>
                            <td><h2>Dodaj nowy samochód:</h2></td>
                            <td><h3><h:messages style = "color:red;margin:8px;" /></h3> </td>
                        </tr>
                    </table>
                    <br/>
                    <!--h:form/-->

                    <table>
                        <tr>
                            <td>Status :</td>
                            <!--td><h:inputText size = "1" value = "#{carsCon.status}" /></td/-->
                            <td>
                                <h:selectOneMenu value="#{carsCon.status}">
                                    <f:selectItem itemValue="" itemLabel="Not set" />
                                    <f:selectItem itemValue="A" itemLabel="Aaviable for sale" />
                                    <f:selectItem itemValue="S" itemLabel="Sold" />
                                </h:selectOneMenu>
                            </td>

                        </tr>
                        <tr>
                            <td>Marka :</td>
                            <td><h:inputText size = "30" value = "#{carsCon.mark}" /></td>
                        </tr>

                        <tr>
                            <td>Model :</td>
                            <td><h:inputText size = "30" value = "#{carsCon.model}" /></td>
                        </tr>

                        <tr>
                            <td>Rok produkcji (yyyy/mm/dd) :</td>
                            <td>
                                <h:inputText value="#{carsCon.mfgDate}">  
                                    <f:convertDateTime pattern="yyyy/MM/dd"/></h:inputText>
                            </td>
                        </tr>
                        <tr>
                            <td>Przebieg</td>
                            <td><h:inputText size = "15" value = "#{carsCon.mileage}" /></td>
                        </tr >
                        <tr>
                            <td>TypPaliwa</td>
                            <!--td><h:inputText size = "1" value = "#{carsCon.fuelType}" /></td/-->
                            <td>
                                <h:selectOneMenu value="#{carsCon.fuelType}">
                                    <f:selectItem itemValue="G" itemLabel="Gasoline" />
                                    <f:selectItem itemValue="D" itemLabel="Diesel" />
                                    <f:selectItem itemValue="L" itemLabel="LPG" />
                                    <f:selectItem itemValue="P" itemLabel="Gasoline + LPG" />
                                    <f:selectItem itemValue="E" itemLabel="Electric" />
                                    <f:selectItem itemValue="H" itemLabel="Hybrid" />
                                </h:selectOneMenu></td>
                        </tr >
                        <tr>
                            <td>Skrzynia biegów</td>
                            <td>
                                <h:selectOneMenu value="#{carsCon.gear}">
                                    <f:selectItem itemValue="M" itemLabel="Manual" />
                                    <f:selectItem itemValue="A" itemLabel="Auto" />
                                </h:selectOneMenu></td>
                                <!--td><h:inputText size = "1" value = "#{carsCon.gear}" /></td/-->
                        </tr >
                        <tr>
                            <td>Pojemnosc silnika</td>
                            <td><h:inputText size = "10" value = "#{carsCon.engVolume}" /></td>
                        </tr >
                        <tr>
                            <td>Moc silnika</td>
                            <td><h:inputText size = "10" value = "#{carsCon.engPower}" /></td>
                        </tr >
                        <tr>
                            <td>Cena wystawienia</td>
                            <td><h:inputText size = "10" value = "#{carsCon.askingPrice}" /></td>
                        </tr>
                        <tr>
                            <td>Numer nadwozia</td>
                            <td><h:inputText size = "17" value = "#{carsCon.vin}" /></td>
                        </tr >
                        <tr>
                            <td>Numer rejestracyjny</td>
                            <td><h:inputText size = "10" value = "#{carsCon.registrationNo}" /></td>
                        </tr >
                        <tr>
                            <td>Numer polisy</td>
                            <td><h:inputText size = "15" value = "#{carsCon.insuranceNo}" /></td>
                        </tr >
                        <tr>
                            <td>Numer dowodu rejestracyjnego</td>
                            <td><h:inputText size = "15" value = "#{carsCon.regDocNo}" /></td>
                        </tr >
                        <tr>
                            <td>Liczba jazd testowych</td>
                            <td><h:inputText size = "10" value = "#{carsCon.testDrivesCnt}" /></td>
                        </tr>
                        <tr>
                            <td>Opis</td>
                            <td><h:inputText size = "100" value = "#{carsCon.description}" /></td>
                        </tr >
                        <tr>
                            <td> </td>
                            <td><h:commandButton value = "Dodaj samochód" 
                                                 action = "#{carsCon.addCar()}" />
                            </td>
                        </tr>
                        <tr>
                            <td> </td>
                            <td><h:commandButton value = "Wypełnij danymi testowymi" 
                                                 action = "#{carsCon.generateTestCar()}" />
                            </td>
                        </tr>
                    </table>	

                </h:form>
            </ui:define>
        </ui:composition>
    </h:body>
</html>

